package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorTest {
    @Test
    public void testImplementation()
    {
        Instructor instructor = new Instructor(1);
        Assert.assertTrue(instructor instanceof Teacher);
    }
    @Test
    public void testInheritance()

    {
        Instructor instructor = new Instructor(1);
        Assert.assertTrue(instructor instanceof Person);
    }
    @Test
    public void testTeach()
    {
        Instructor instructor = new Instructor(1);
        Student student = new Student(1,"johnny");

        instructor.teach(student,22);
        double expected = 22;
        double actual = student.getTotalStudyTime();
        Assert.assertEquals(expected,actual,0.01);
    }
    @Test
    public void testLecture()
    {
        Instructor instructor = new Instructor(1);
        Student student1 = new Student(1,"george");
        Student student2 = new Student(2,"peter");
        Student student3 = new Student( 3,"eric");

        Student studArr[] = {student1,student2,student3};

        instructor.lecture(studArr,100);

        double expected = 33.33;
        double actual = student1.getTotalStudyTime();
        Assert.assertEquals(expected,actual,0.01);
    }

}
