package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class PeopleTest {
    @Test
    public void testAdd()
    {
        People peoplelist = new People();
        Person person1 = new Person(1);
        Person person2 = new Person(2);
        peoplelist.add(person1);
        peoplelist.add(person2);

        int expected = 2;
        int actual = peoplelist.getCount();

        Assert.assertEquals(expected,actual);

    }


    @Test
    public void testRemoveAll()
    {
        People peoplelist = new People();
        Person person1 = new Person(1);
        Person person2 = new Person(2);
        peoplelist.add(person1);
        peoplelist.add(person2);
        peoplelist.removeAll();
        int expected = 0;
        int actual = peoplelist.getCount();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testRemoveByPerson() {

        People peoplelist = new People();
        Person person1 = new Person(1);
        Person person2 = new Person(2);
        peoplelist.add(person1);
        peoplelist.add(person2);
        peoplelist.remove(person1);
        int expected = 1;
        int actual = peoplelist.getCount();

        Assert.assertEquals(expected, actual);
    }
        @Test
        public void testFindById()
    {
        People peoplelist = new People();
        Person person1 = new Person(1);
        Person person2 = new Person(2);
        peoplelist.add(person1);
        peoplelist.add(person2);
        Person expected = person1;
        Person actual = peoplelist.findById(1);
        Assert.assertEquals(expected,actual);

}
}



