package io.zipcoder.interfaces;

import javafx.beans.binding.When;
import org.junit.Assert;
import org.junit.Test;

public class TestPerson {
    @Test
    public void testConstructor()
    {
        Person testperson = new Person(12345);

        //GIVEN
        long actual=testperson.getId();
        long expected=12345;
        //WHEN
        Assert.assertEquals(expected,actual);
        //THEN
    }
    @Test
    public void testSetAndGetName(){

        Person person = new Person(1,"jan");

        String expectedName="johnny";
        person.setName(expectedName);
        String actualName=person.getName();
        Assert.assertEquals(expectedName,actualName);
    }

}
